Xfce Foundation Classes
Main Page | Index | Namespace List | Alphabetical List | Class List | File List

# Xfc::Pango::LogAttr Class Reference

A PangoLogAttr C++ wrapper class. More...

`#include <xfc/pango/break.hh>`

List of all members.

## Public Member Functions

Constructors

- LogAttr ()
    Constructs a new LogAttr with all fields set to false.

Accessors

- PangoLogAttr * pango_log_attr () const
    Get a pointer to the PangoLogAttr structure.
- operator PangoLogAttr * () const
    Conversion operator; safely converts a LogAttr to a PangoLogAttr pointer.
- bool is_line_break () const
    Returns true if can break the line in front of the character.
- bool is_mandatory_break () const
    Returns true if must break the line in front of the character.
- bool is_char_break () const
    Returns true if can break at this character when doing character wrapping.
- bool is_white () const
    Returns true if this is a whitespace character.
- bool is_cursor_position () const
    Returns true if the cursor can appear in front of character (that is this is a grapheme boundary, or the first character in the text).
- bool is_word_start () const
    Returns true if this is the first character in a word.
- bool is_word_end () const
    Returns true if this is the first non-word character after a word.
- bool is_sentence_boundary () const
    Returns true if this character is a sentence boundary.
- bool is_sentence_start () const
    Returns true if this character marks the start of a sentence (see is_sentence_boundary()).
- bool is_sentence_end () const
    Returns true if this character marks the end of a sentence (see is_sentence_boundary()).
- bool backspace_deletes_character () const
    Returns true if the backspace key deletes one character rather than the entire grapheme cluster.

Methods

- void set_is_line_break (bool setting)
    Set whether the character is a line break.
- void set_is_mandatory_break (bool setting)
    Set whether the character is a mandatory line break.
- void set_is_char_break (bool setting)
    Set whether a line can be broken at the character when wrapping characters.
- void set_is_white (bool setting)
    Set whether the character is white space.
- void set_is_cursor_position (bool setting)
    Set whether the cursor can appear in front of character (that is this is a grapheme boundary, or the first character in the text).
- void set_is_word_start (bool setting)
    Set whether the character is the first character in a word.
- void set_is_word_end (bool setting)
    Set whether the character is the first non-word character after a word.
- void set_is_sentence_boundary (bool setting)
    Set whether the character is a sentence boundary.
- void set_is_sentence_start (bool setting)
    Set whether the character marks the start of a sentence.
- void set_is_sentence_end (bool setting)
    Set whether the character marks the end of a sentence.
- void set_backspace_deletes_character (bool setting)
    Set whether the backspace key deletes one character rather than the entire grapheme cluster.

## Detailed Description

A PangoLogAttr C++ wrapper class.

LogAttr stores information about the logical attributes of a single character.

## Member Function Documentation

bool Xfc::Pango::LogAttr::is_sentence_boundary | ( |  | ) | const

Returns true if this character is a sentence boundary.

There are two ways to divide sentences. The first assigns all intersentence whitespace/control/format characters to some sentence, so all characters are in some sentence; is_sentence_boundary() denotes the boundaries there. The second way doesn't assign between-sentence spaces, etc. to any sentence, so is_sentence_start()/is_sentence_end() mark the boundaries of those sentences.

void Xfc::Pango::LogAttr::set_backspace_deletes_character | ( | bool | setting | ) |

Set whether the backspace key deletes one character rather than the entire grapheme cluster.

Parameters:

  | setting | The setting.

void Xfc::Pango::LogAttr::set_is_char_break | ( | bool | setting | ) |

Set whether a line can be broken at the character when wrapping characters.

Parameters:

  | setting | The setting.

void Xfc::Pango::LogAttr::set_is_cursor_position | ( | bool | setting | ) |

Set whether the cursor can appear in front of character (that is this is a grapheme boundary, or the first character in the text).

Parameters:

  | setting | The setting.

void Xfc::Pango::LogAttr::set_is_line_break | ( | bool | setting | ) |

Set whether the character is a line break.

Parameters:

  | setting | The setting.

void Xfc::Pango::LogAttr::set_is_mandatory_break | ( | bool | setting | ) |

Set whether the character is a mandatory line break.

Parameters:

  | setting | The setting.

void Xfc::Pango::LogAttr::set_is_sentence_boundary | ( | bool | setting | ) |

Set whether the character is a sentence boundary.

Parameters:

  | setting | The setting.

void Xfc::Pango::LogAttr::set_is_sentence_end | ( | bool | setting | ) |

Set whether the character marks the end of a sentence.

Parameters:

  | setting | The setting.

void Xfc::Pango::LogAttr::set_is_sentence_start | ( | bool | setting | ) |

Set whether the character marks the start of a sentence.

Parameters:

  | setting | The setting.

void Xfc::Pango::LogAttr::set_is_white | ( | bool | setting | ) |

Set whether the character is white space.

Parameters:

  | setting | The setting.

void Xfc::Pango::LogAttr::set_is_word_end | ( | bool | setting | ) |

Set whether the character is the first non-word character after a word.

Parameters:

  | setting | The setting.

void Xfc::Pango::LogAttr::set_is_word_start | ( | bool | setting | ) |

Set whether the character is the first character in a word.

Parameters:

  | setting | The setting.

The documentation for this class was generated from the following file:

- break.hh

Xfce Foundation Classes

Copyright © 2004-2005 The XFC Development Team | XFC 4.3